### Method

# Gtk ScaleButtonset_icons

#### Declaration [src]

    void
    gtk_scale_button_set_icons (
      GtkScaleButton* button,
      const char** icons
    )

#### Description [src]

Sets the icons to be used by the scale button.

Sets property | `Gtk.ScaleButton:icons`

#### Parameters

`icons`

  Type: An array of `char*`

  A `NULL`-terminated array of icon names.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.